package com.mosty.yjzl.service;

import com.mosty.base.model.entity.yjzl.TbFzyc;
import com.mosty.base.model.entity.yjzl.TbFzycPz;
import com.mosty.base.model.vo.yjzl.TbFzycPzVo;
import io.swagger.annotations.ApiOperation;

import java.util.List;

public interface TbFzycPzService {

    @ApiOperation("新增")
    int insert(TbFzycPzVo fzycPzVo);

    @ApiOperation("修改")
    int updateById(TbFzycPzVo fzycPzVo);

    @ApiOperation("根据ID查询")
    TbFzycPz queryById(String id);

    @ApiOperation("根据ID删除")
    int deleteById(String id);

    @ApiOperation("查询全部配置单位")
    List<TbFzycPz> queryAll();

}
